package com.ltgk.common.enums;


import com.ltgk.common.utils.enums.CodeDescEnumInterface;
import lombok.Getter;

/**
 * 渔业执法状态枚举类
 *
 * @author Qi ChengBin
 * @date 2025/05/07
 */
@Getter
public enum FemLawPunishStatusEnums implements CodeDescEnumInterface {
    APPLY(0, "已申请"),
    APPROVE(1, "审核通过"),
    REJECT(2, "审核拒绝"),
    DISTRIBUTE(3, "任务派发"),
    EXECUTE(4, "任务执行"),
    CLOSE(5, "结案");

    private final Integer code;
    private final String desc;

    FemLawPunishStatusEnums(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
